Subject: bug#66993: [PATCH] project.el: avoid asking user about project-list-file lock

From: Michael Albinus <[email-masked]>
Date: Wed, 08 Nov 2023 16:44:43 +0100

Spencer Baugh <[email-masked]> writes:

Hi Spencer,

>> If you don't care about locking project-list-file, let-bind
>> create-lockfiles to nil while writing project-list-file.
>
> Hm, I think that could result in two writes clobbering each other in a
> way that creates an invalidly formatted file.

Alternatively, you could check the status via file-locked-p prior
calling write-region.

I don't use project.el, so I don't know what's the best. Overwriting
ask-user-about-lock seems to be a bad choice, IMHO.

Best regards, Michael.